# MDT-DS2USB

## What

Locally clones a Microsoft Deployment Toolkit Deployment Share, makes some changes, and then compiles it into an ISO which can be flashed to a USB Drive

## Why

If you access a deployment share to reimage windows machines, a number of issues might prevent the machine in question from successfully imaging via pxe boot. In the event that you do not have sufficient permissions to edit the contents of the deployment share, you can build an ISO image locally which can be used to more reliably reimage the machine.

### Requirements

- [Microsoft Deployment Toolkit](https://www.microsoft.com/en-us/download/details.aspx?id=54259)
- [Windows ADK](https://learn.microsoft.com/en-us/windows-hardware/get-started/adk-install)
- [Windows PE Addon for ADK](https://learn.microsoft.com/en-us/windows-hardware/get-started/adk-install)
- [Rufus](https://rufus.ie/en/)
- Lots of free disk space
- A suitably-sized USB flash drive

### Usage

	mdt-ds2usb.ps1 "\\DeploymentShareHost\DeploymentShareDirectory" "output_iso_name.iso"
